package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.adam.dto.vo.AdamCollectBaseVo;
import com.liquidnet.service.adam.dto.vo.AdamCollectVo;
import com.liquidnet.service.adam.entity.AdamCollection;

/**
 * <p>
 * 收藏 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-10
 */
public interface IAdamCollectionService extends IService<AdamCollection> {

    void add(AdamCollectBaseVo collectVo);

    AdamCollectBaseVo query(String uid, String type, String contentId);

    void del(String uid, String type, String... contentIds);

    boolean queryState(String uid, String type, String contentId);

    PageInfo<AdamCollectVo> queryPage(String uid, String type, int pageNo, int pageSize);
}
